package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 销售折扣明细 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglXsmxZkmxSalesdiscountinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglXsmxZkmxSalesdiscountinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxZkmxSalesdiscountinfoMapper.addSXsglXsmxZkmxSalesdiscountinfo", pd);
    }

    public List<PageData> findSXsglXsmxZkmxSalesdiscountinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglXsmxZkmxSalesdiscountinfoMapper.selectSXsglXsmxZkmxSalesdiscountinfoList", pd);
    }

    public Integer SXsglXsmxZkmxSalesdiscountinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglXsmxZkmxSalesdiscountinfoMapper.SXsglXsmxZkmxSalesdiscountinfoRemove", pd);
    }


    public Integer updateSXsglXsmxZkmxSalesdiscountinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxZkmxSalesdiscountinfoMapper.updateSXsglXsmxZkmxSalesdiscountinfo", pd);
    }

}
